#ifndef ATL_zGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,80,120,160,320,400,440,480,640,960,1000,1040,1120,1280
 * N : 25,80,120,160,320,400,440,480,640,960,1000,1040,1120,1280
 * NB : 9,8,12,12,12,12,12,28,32,24,56,40,40,40
 */
#define ATL_zGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 52) (nb_) = 9; \
   else if ((n_) < 100) (nb_) = 8; \
   else if ((n_) < 460) (nb_) = 12; \
   else if ((n_) < 560) (nb_) = 28; \
   else if ((n_) < 800) (nb_) = 32; \
   else if ((n_) < 980) (nb_) = 24; \
   else if ((n_) < 1020) (nb_) = 56; \
   else (nb_) = 40; \
}


#endif    /* end ifndef ATL_zGetNB_geqrf */
